Package com.databricks.jdbc.api.impl.arrow

## Class ArrowResultChunk

- java.lang.Object
- - com.databricks.jdbc.api.impl.arrow.ArrowResultChunk

    public class ArrowResultChunk
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ArrowResultChunk.ArrowResultChunkIterator`
`static class` `ArrowResultChunk.Builder`

### Method Summary

All Methods Static Methods Concrete Methods
`static ArrowResultChunk.Builder` `builder()`
`static void` `disableErrorInjection()` Method to disable error injection after testing
`static void` `enableErrorInjection()` Method to enable error injection for testing
`static void` `setErrorInjectionCountMaxValue​(int errorInjectionCountMaxValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### builder

    public static ArrowResultChunk.Builder builder()

#### enableErrorInjection

    public static void enableErrorInjection()

Method to enable error injection for testing

#### disableErrorInjection

    public static void disableErrorInjection()

Method to disable error injection after testing

#### setErrorInjectionCountMaxValue

    public static void setErrorInjectionCountMaxValue​(int errorInjectionCountMaxValue)